cURL
curl --request GET \
--url https://api.penciled.com/v1/patients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.penciled.com/v1/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.penciled.com/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"patient_id": "123456789",
"healthie_patient_id": "123456789",
"first_name": "John",
"last_name": "Doe",
"provider_ids": [
"1234",
"5678"
],
"provider_names": [
"Provider 1",
"Provider 2"
],
"available_dates": [
"2024-12-05T00:00:00.000-08:00",
{
"startDate": "2024-12-05T09:00:00.000-08:00",
"endDate": "2024-12-05T12:00:00.000-08:00"
}
],
"appointment_type_ids": [
"1234",
"5678"
],
"appointment_type_names": [
"Appointment Type 1",
"Appointment Type 2"
],
"group_id": "1234567890",
"group_name": "Group Name"
}{
"error": "<string>"
}Patients
Get Patients
Gets the details of a patient
GET
/
v1
/
patients
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the patient
Response
Patient response
- Option 1
- Option 2
Example:
"123456789"
Example:
"123456789"
Example:
"John"
Example:
"Doe"
Example:
["1234", "5678"]
Example:
["Provider 1", "Provider 2"]
Example:
[
"2024-12-05T00:00:00.000-08:00",
{
"startDate": "2024-12-05T09:00:00.000-08:00",
"endDate": "2024-12-05T12:00:00.000-08:00"
}
]
Example:
["1234", "5678"]
Example:
["Appointment Type 1", "Appointment Type 2"]
Example:
"1234567890"
Example:
"Group Name"
⌘I